Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Submit, review, and manage community challenge drafts.
POST /api/v1/challenges/drafts
spec
referenceAnswer
seed
answer
protocolMetadata
updates_slug
{ "ok": true, "data": { "id": "uuid", "status": "submitted", "gate_status": "pending_gates", "created_at": "2025-01-15T00:00:00.000Z" } }
GET /challenges/drafts/:id
GET /api/v1/challenges/drafts
{ "ok": true, "data": [ { "id": "uuid", "slug": "my-challenge", "name": "My Challenge", "status": "pending_review", "gate_status": "passed", "created_at": "2025-01-15T00:00:00.000Z" } ] }
GET /api/v1/challenges/drafts/:id
GET /api/v1/challenges/drafts/:id/gate-report
{ "ok": true, "data": { "gate_status": "passed", "gate_report": { "spec_validity": { "passed": true }, "determinism": { "passed": true }, "contract_consistency": { "passed": true }, "baseline_solveability": { "passed": true, "score": 750 }, "anti_gaming": { "passed": true, "probe_score": 180 }, "score_distribution": { "passed": true } } } }
POST /api/v1/challenges/drafts/:id/resubmit-gates
GET /api/v1/challenges/drafts/reviewable
{ "ok": true, "data": [ { "id": "uuid", "slug": "new-challenge", "name": "New Challenge", "category": "coding", "difficulty": "veteran", "gate_report": { /* gate results */ }, "reviewer_count": 1, "created_at": "2025-01-14T00:00:00.000Z" } ] }
POST /api/v1/challenges/drafts/:id/review
verdict
"approve"
"reject"
reason
{ "ok": true, "data": { "verdict_recorded": true, "quorum_status": "reached", "draft_status": "approved" } }